Post by Randem » Mon Mar 21, 2016 9:18 am

Here is a list of changes I have made (with help and contributions from other members) to OpenCart for v2.2.0.x to aid in the correct operations of OpenCart. They have been included in a VQMod XML file for anyone to use if they like.
  • Fix: Force Admin to SSL - 20160306 - daniGo - v1.0.0
    Add: Full database dump in Backup and Restore is now available in SQL format that has DROP / CREATE / INSERT statements so that you can backup/restore your whole database properly - 20160315 - v1.0.0
    Fix: Fix Customer.php file Syntax Error - aaron1988 - v1.0.0
    Fix: Fix Address.php file Syntax Error - v1.0.0
    Fix: Owl transition css not loading - helenmarie - v1.0.1
    Fix: When selecting "Print Shipping List" from the Orders section; if no product in the order were to be shipped the browser screen would be blank.
    Changed it to show the order but with DO NOT SHIP in the heading. This will avoid confusing the user into believing that something is broken - v1.0.1
    Fix: column_Left, column_right,content_top & content_bottom so that the store layout will display properly - v1.0.2
    Add: Missing header text and allow it to be used - v1.0.2
    Fix: Broken banner template for add/edit - Gaspar - v1.0.2
    Fix: Updated OpenBayPro code that was left over from v1.5.x - v1.0.2
    Add: Place suhosin parameters to php.ini for when product[key] gets too long (root & admin) when updating quantity in checkout/cart - artcore - v1.0.2
    Chg: Force banner displays to be random each time page is shown - v1.0.2
    Fix: Broken SQL statement in catalog/model/design/layout.php that prevented banners from displaying - v1.0.2
    Fix: Force layouts that have an empty route to be assigned common/home in the database to avoid confusion when attempting to use the layout - v1.02
    Add: Rearrange Featured Products - Tri Le - v1.02
    Fix: OpenBayPro - Undefined method loader - pm-netti - v1.0.2
    Fix: Modify any third party themes that have error that does not allow removing items from checkout cart - v1.02
    Fix: Reward Points not subtracting the order points from the customers rewards points - vyshemirsky - v1.0.2
    Add: Ability to add products to OpenCart shopping cart from your website to aid in a better customer experience - v1.0.2
    Chg: Changed Customer Online Report URL & Referrer columns to maximize available text space - 20160206 - v1.12
    Fix: Fix theme views - viethemes - v1.0.2
    Fix: Remove trailing slash from any routes in layout_route table (when layouts are saved) - v.1.0.2
    Fix: Affiliate Commission Radio Button selection Fix - ocmta - v1.0.2
    Fix: Change payment method button loading hang when "Terms and Conditions" not ticked - Unknown Author - v1.0.2
    Fix: Google Captcha error issue on Guest Checkout - nuke123 - v1.0.2
    Fix: Force URL's in store to be terminated properly with a trailing slash or any store without trailing slash will default to main store. Force HTTPS protocol to HTTPS if SSL is selected in store settings - v1.0.3

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by Randem » Thu Mar 24, 2016 3:04 pm

If anyone needs to upgrade to this version you can use the scripts here - http://www.randemsystems.com/support/op ... t-only%29/

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by Randem » Sun Apr 03, 2016 1:53 pm

New addition to update script:

Fix: Authorize.net payment template correction - 20160401 - Asif-Mahmood - v1.0.4

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by bzark » Sun Apr 03, 2016 9:51 pm

Randem wrote:If anyone needs to upgrade to this version you can use the scripts here - http://www.randemsystems.com/support/op ... t-only%29/
At the link above you say "This is for testing only!!!", does that mean you wouldn't consider using version 2.2.0.0 of OpenCart on a live store? And I don't mean the upgrade process on a live store, I mean after you upgrade a copy.

Also let me add that I only use 1 extension on my current 2.0.3.1 store so there isn't much in the way of mods going on.

New member

Posts

Joined
Wed Oct 01, 2014 10:32 pm

Post by Randem » Mon Apr 04, 2016 4:08 am

Hi bzark,

YES, that is correct, I would not use it on a live store. I have done lots of testing on v2.2.0.0 and in my opinion it is not ready yet and I have not upgraded to it. I will stay on v2.1.x because after the fixes that are put in it is stable. The same is not the same for v2.2.0.0. As you can see from my v2.1.0.x fix list many of the same fixes are required for v2.2.0.x plus a few more. See post. I am still testing and making fixes.
Last edited by Randem on Mon Apr 04, 2016 4:32 am, edited 2 times in total.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by bzark » Mon Apr 04, 2016 4:23 am

Thanks for the reply. Okay then I probably should just think about upgrading to 2.1.0.2 as an interim step because as of now it needs to be done to move to 2.2 anyway.

New member

Posts

Joined
Wed Oct 01, 2014 10:32 pm

Post by Randem » Mon Apr 04, 2016 4:34 am

Yes, that would be wise... 8)

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by bzark » Mon Apr 04, 2016 4:39 am

I just installed 2.1.0.2 and see a lot of the changes I saw in 2.2 are in 2.1 so that pretty much gets me to where I want to be.

New member

Posts

Joined
Wed Oct 01, 2014 10:32 pm

Post by openweb » Fri Apr 15, 2016 5:46 am

nice work thank you, is there any bug fix file for oc 2.1.0.1 also ? i use old version and dont want to upgrade to new versions but i know still many bugs in my site.

Newbie

Posts

Joined
Wed Feb 10, 2016 5:36 am

Post by Randem » Fri Apr 15, 2016 12:25 pm


NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by bzark » Fri Apr 22, 2016 8:00 am

What do you mean by this is? Like what MODS are you referring to?

ALL MODS IN THE PRIOR VERSION NEED TO BE DISABLED!!!

New member

Posts

Joined
Wed Oct 01, 2014 10:32 pm

Post by Randem » Fri Apr 22, 2016 11:16 am

What MODS??? ALL MODS that you have installed. I don't understand the confusion, I cannot make it any clearer... ???

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by bzark » Fri Apr 22, 2016 11:32 am

As in everything in Extensions - > Modules or everything in Extensions including removing any Extensions - > Modifications as well?

New member

Posts

Joined
Wed Oct 01, 2014 10:32 pm

Post by Randem » Fri Apr 22, 2016 11:51 am

Yes, as for any upgrade will never upgrade your MODS. Your MODS may be incompatible with the new software so it is best to uninstall them and re-install the updated MOD if one is available. An upgraded MOD may not be available and the old MOD may cause issues with the operations of OpenCart and why would anyone want to have to debug an upgrade just to find out that their old MOD was causing the problem? it is best to avoid the problem altogether.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by bzark » Fri Apr 22, 2016 12:02 pm

I understand that, I guess my question is, on the old server running 2.0.3.1, before I export my DB, do I disable the mods on that server? I am migrating my DB to a completely new server. And I only have five mods and they are all compatible with 2.1.0.2.

New member

Posts

Joined
Wed Oct 01, 2014 10:32 pm

Post by Randem » Fri Apr 22, 2016 12:13 pm

Yes, If you have VQMOD it is not much of an issue since it stores no information in the database about the MOD but the MOD may store information (not so much a problem), so it will not affect the conversion, however if you use OCMOD you will have problems if you let them stay.

So I would export the database for a backup, then remove the MODS then export again for the conversion (to a different file).

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by bzark » Fri Apr 22, 2016 12:20 pm

Excellent, that is exactly the approach I am going to take so thanks for clarifying and thanks for the help.

New member

Posts

Joined
Wed Oct 01, 2014 10:32 pm

Post by bzark » Fri Apr 22, 2016 6:48 pm

Is this vQmod error okay using the XML file from v2.1.0.x Changes file? The file is catalog/view/theme/default/template/module/account.tpl

Code: Select all

SEARCH NOT FOUND (ABORTING MOD):
  search = '<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">'

New member

Posts

Joined
Wed Oct 01, 2014 10:32 pm

Post by Randem » Fri Apr 22, 2016 6:56 pm

Why would you use the v2.1.0.x XML file on V2.2.0 0 ??? Of course it should not work... You would use the v2.2.0.0 XML file...

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by bzark » Fri Apr 22, 2016 7:01 pm

Sorry I am upgrading to 2.1.0.2, I guess I started using this thread to get your thoughts on upgrading to 2.2 and using it in a live store. You can see where I previously said I was just going to 2.1.0.2. Is that error okay?

New member

Posts

Joined
Wed Oct 01, 2014 10:32 pm
Who is online

Users browsing this forum: No registered users and 10 guests